%define name perl-Expect
%define module Expect
%define version 1.12
%define release 1mdk

Summary:	Expect perl module
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License: 	GPL
Group: 		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Expect/Expect-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
Patch0:		%{name}-paths.patch.bz2
Requires: 	perl >= 5.600
BuildRequires:	perl-IO-Stty
BuildRequires:	perl-IO-Tty
BuildArch:	noarch

%description
Expect perl module.

%prep
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
  && rm -rf ${RPM_BUILD_ROOT}

%setup -q -n %{module}-%{version}

%patch -p1

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%makeinstall PREFIX=$RPM_BUILD_ROOT/%{prefix} \
	     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3

bzip2 $RPM_BUILD_ROOT%_mandir/man3/*

%clean 
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
  && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc Changes README examples tutorial
%{_libdir}/perl5/site_perl/*/Expect.pm
%{_mandir}/man3/*

%changelog
* Tue Sep 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.12-1mdk
- added by Max Heijndijk <cchq@wanadoo.nl> :
	- Initial wrap
